com.amazonaws.services.elastictranscoder.model

## Class CaptionSource

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.CaptionSource

All Implemented Interfaces:
  Serializable, Cloneable

    public class CaptionSource
    extends Object
    implements Serializable, Cloneable

A source file for the input sidecar captions used during the transcoding process.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CaptionSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CaptionSource` `clone()`
`boolean` `equals(Object obj)`
`Encryption` `getEncryption()` The encryption settings, if any, that Elastic Transcoder needs to decyrpt your caption sources, or that you want Elastic Transcoder to apply to your caption sources.
`String` `getKey()` The name of the sidecar caption file that you want Elastic Transcoder to include in the output file.
`String` `getLabel()` The label of the caption shown in the player when choosing a language.
`String` `getLanguage()` A string that specifies the language of the caption.
`String` `getTimeOffset()` For clip generation or captions that do not start at the same time as the associated video file, the `TimeOffset` tells Elastic Transcoder how much of the video to encode before including captions.
`int` `hashCode()`
`void` `setEncryption(Encryption encryption)` The encryption settings, if any, that Elastic Transcoder needs to decyrpt your caption sources, or that you want Elastic Transcoder to apply to your caption sources.
`void` `setKey(String key)` The name of the sidecar caption file that you want Elastic Transcoder to include in the output file.
`void` `setLabel(String label)` The label of the caption shown in the player when choosing a language.
`void` `setLanguage(String language)` A string that specifies the language of the caption.
`void` `setTimeOffset(String timeOffset)` For clip generation or captions that do not start at the same time as the associated video file, the `TimeOffset` tells Elastic Transcoder how much of the video to encode before including captions.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CaptionSource` `withEncryption(Encryption encryption)` The encryption settings, if any, that Elastic Transcoder needs to decyrpt your caption sources, or that you want Elastic Transcoder to apply to your caption sources.
`CaptionSource` `withKey(String key)` The name of the sidecar caption file that you want Elastic Transcoder to include in the output file.
`CaptionSource` `withLabel(String label)` The label of the caption shown in the player when choosing a language.
`CaptionSource` `withLanguage(String language)` A string that specifies the language of the caption.
`CaptionSource` `withTimeOffset(String timeOffset)` For clip generation or captions that do not start at the same time as the associated video file, the `TimeOffset` tells Elastic Transcoder how much of the video to encode before including captions.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CaptionSource

    public CaptionSource()

### Method Detail

#### setKey

    public void setKey(String key)

The name of the sidecar caption file that you want Elastic Transcoder to include in the output file.

Parameters:
  `key` - The name of the sidecar caption file that you want Elastic Transcoder to include in the output file.

#### getKey

    public String getKey()

The name of the sidecar caption file that you want Elastic Transcoder to include in the output file.

Returns:
  The name of the sidecar caption file that you want Elastic Transcoder to include in the output file.

#### withKey

    public CaptionSource withKey(String key)

The name of the sidecar caption file that you want Elastic Transcoder to include in the output file.

Parameters:
  `key` - The name of the sidecar caption file that you want Elastic Transcoder to include in the output file.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLanguage

    public void setLanguage(String language)

A string that specifies the language of the caption. If you specified multiple inputs with captions, the caption language must match in order to be included in the output. Specify this as one of:

- 2-character ISO 639-1 code

- 3-character ISO 639-2 code

For more information on ISO language codes and language names, see the List of ISO 639-1 codes.

Parameters:
  `language` - A string that specifies the language of the caption. If you specified multiple inputs with captions, the caption language must match in order to be included in the output. Specify this as one of:

  - 2-character ISO 639-1 code

  - 3-character ISO 639-2 code

  For more information on ISO language codes and language names, see the List of ISO 639-1 codes.

#### getLanguage

    public String getLanguage()

A string that specifies the language of the caption. If you specified multiple inputs with captions, the caption language must match in order to be included in the output. Specify this as one of:

- 2-character ISO 639-1 code

- 3-character ISO 639-2 code

For more information on ISO language codes and language names, see the List of ISO 639-1 codes.

Returns:
  A string that specifies the language of the caption. If you specified multiple inputs with captions, the caption language must match in order to be included in the output. Specify this as one of:

  - 2-character ISO 639-1 code

  - 3-character ISO 639-2 code

  For more information on ISO language codes and language names, see the List of ISO 639-1 codes.

#### withLanguage

    public CaptionSource withLanguage(String language)

A string that specifies the language of the caption. If you specified multiple inputs with captions, the caption language must match in order to be included in the output. Specify this as one of:

- 2-character ISO 639-1 code

- 3-character ISO 639-2 code

For more information on ISO language codes and language names, see the List of ISO 639-1 codes.

Parameters:
  `language` - A string that specifies the language of the caption. If you specified multiple inputs with captions, the caption language must match in order to be included in the output. Specify this as one of:

  - 2-character ISO 639-1 code

  - 3-character ISO 639-2 code

  For more information on ISO language codes and language names, see the List of ISO 639-1 codes.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTimeOffset

    public void setTimeOffset(String timeOffset)

For clip generation or captions that do not start at the same time as the associated video file, the `TimeOffset` tells Elastic Transcoder how much of the video to encode before including captions.

Specify the TimeOffset in the form [+-]SS.sss or [+-]HH:mm:SS.ss.

Parameters:
  `timeOffset` - For clip generation or captions that do not start at the same time as the associated video file, the `TimeOffset` tells Elastic Transcoder how much of the video to encode before including captions.

  Specify the TimeOffset in the form [+-]SS.sss or [+-]HH:mm:SS.ss.

#### getTimeOffset

    public String getTimeOffset()

For clip generation or captions that do not start at the same time as the associated video file, the `TimeOffset` tells Elastic Transcoder how much of the video to encode before including captions.

Specify the TimeOffset in the form [+-]SS.sss or [+-]HH:mm:SS.ss.

Returns:
  For clip generation or captions that do not start at the same time as the associated video file, the `TimeOffset` tells Elastic Transcoder how much of the video to encode before including captions.

  Specify the TimeOffset in the form [+-]SS.sss or [+-]HH:mm:SS.ss.

#### withTimeOffset

    public CaptionSource withTimeOffset(String timeOffset)

For clip generation or captions that do not start at the same time as the associated video file, the `TimeOffset` tells Elastic Transcoder how much of the video to encode before including captions.

Specify the TimeOffset in the form [+-]SS.sss or [+-]HH:mm:SS.ss.

Parameters:
  `timeOffset` - For clip generation or captions that do not start at the same time as the associated video file, the `TimeOffset` tells Elastic Transcoder how much of the video to encode before including captions.

  Specify the TimeOffset in the form [+-]SS.sss or [+-]HH:mm:SS.ss.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLabel

    public void setLabel(String label)

The label of the caption shown in the player when choosing a language. We recommend that you put the caption language name here, in the language of the captions.

Parameters:
  `label` - The label of the caption shown in the player when choosing a language. We recommend that you put the caption language name here, in the language of the captions.

#### getLabel

    public String getLabel()

The label of the caption shown in the player when choosing a language. We recommend that you put the caption language name here, in the language of the captions.

Returns:
  The label of the caption shown in the player when choosing a language. We recommend that you put the caption language name here, in the language of the captions.

#### withLabel

    public CaptionSource withLabel(String label)

The label of the caption shown in the player when choosing a language. We recommend that you put the caption language name here, in the language of the captions.

Parameters:
  `label` - The label of the caption shown in the player when choosing a language. We recommend that you put the caption language name here, in the language of the captions.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEncryption

    public void setEncryption(Encryption encryption)

The encryption settings, if any, that Elastic Transcoder needs to decyrpt your caption sources, or that you want Elastic Transcoder to apply to your caption sources.

Parameters:
  `encryption` - The encryption settings, if any, that Elastic Transcoder needs to decyrpt your caption sources, or that you want Elastic Transcoder to apply to your caption sources.

#### getEncryption

    public Encryption getEncryption()

The encryption settings, if any, that Elastic Transcoder needs to decyrpt your caption sources, or that you want Elastic Transcoder to apply to your caption sources.

Returns:
  The encryption settings, if any, that Elastic Transcoder needs to decyrpt your caption sources, or that you want Elastic Transcoder to apply to your caption sources.

#### withEncryption

    public CaptionSource withEncryption(Encryption encryption)

The encryption settings, if any, that Elastic Transcoder needs to decyrpt your caption sources, or that you want Elastic Transcoder to apply to your caption sources.

Parameters:
  `encryption` - The encryption settings, if any, that Elastic Transcoder needs to decyrpt your caption sources, or that you want Elastic Transcoder to apply to your caption sources.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CaptionSource clone()

Overrides:
  `clone` in class `Object`